#! /usr/bin/perl
##
## Oldham, Jeffrey D.
## 2000Apr22
## CS3352

## Checking Scanned Ibbotsson Data for Self-Consistency
## Appreciating Data

## We perform only one test: For each line, does the monthly data
## match the annual data?

## Lines beginning with '#' are ignored.

while (<>) {
  if (!/^\#/) {
    ($year, $jan, $feb, $mar, $apr, $may, $jun, $jul, $aug, $sep, $oct, $nov, $dec, $year2, $total) = split;
    print if ($year != $year2);
    print if (abs((1+$jan)*(1+$feb)*(1+$mar)*(1+$apr)*(1+$may)*(1+$jun)*(1+$jul)*(1+$aug)*(1+$sep)*(1+$oct)*(1+$nov)*(1+$dec) - (1+$total)) > 0.0002);
  }
}
